Endpoints

ConnectionsOAuth

ConnectionsOAuth endpoints of the Elnora REST API.

Base URL https://platform.elnora.ai/api/v1. Authenticate every request with the X-API-Key header — see Authentication.

POST /connections/{connectionId}/authorization

curl -X POST https://platform.elnora.ai/api/v1/connections/{connectionId}/authorization \
  -H "X-API-Key: $ELNORA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ ... }'

Parameters

NameInTypeRequired
connectionIdpathstringyes

Request body

FieldTypeRequired
provider_idstringno
capability_groupsstring[]no
scopesstring[]no
redirect_uristringno
consentbooleanno
connection_idstringno
tenantstringno
create_newbooleanno

Responses: 200

GET /connections/authorization-sessions/{authId}

curl https://platform.elnora.ai/api/v1/connections/authorization-sessions/{authId} \
  -H "X-API-Key: $ELNORA_API_KEY"

Parameters

NameInTypeRequired
authIdpathstringyes

Responses: 200

POST /connections/oauth/complete

curl -X POST https://platform.elnora.ai/api/v1/connections/oauth/complete \
  -H "X-API-Key: $ELNORA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "auth_id": "...", "code": "...", "state": "..." }'

Request body

FieldTypeRequired
auth_idstringyes
codestringyes
statestringyes
issuerstringno

Responses: 200

On this page